package com.uas.search.console.b2b.model;

import java.util.Date;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;
import javax.persistence.Table;

/**
 * 平台新增询价单中间表
 * 
 * @author hejq
 * @time 创建时间：2017年4月17日
 */
@Entity
@Table(name = "PURC$PUINQUIRY")
public class PurcInquirySimpleInfo2 {

	@Id
	@Column(name = "in_id")
	private Long id;

	/**
	 * 询价单所属企业UU
	 */
	@Column(name = "in_enuu")
	private Long enUU;

	/**
	 * 询价单所属用户UU
	 */
	@Column(name = "in_recorderuu")
	private Long recorderUU;

	/**
	 * 询价企业
	 */
	@OneToOne(cascade = { CascadeType.MERGE, CascadeType.REFRESH })
	@JoinColumn(name = "in_enuu", insertable = false, updatable = false)
	private EnterpriseSimpleInfo enterprise;

	/**
	 * 流水号
	 */
	@Column(name = "in_code")
	private String code;

	/**
	 * 单据状态（已提交、在录入)
	 */
	@Column(name = "in_enterystatus")
	private Integer enteryStatus;

	/**
	 * 报价截止日期
	 */
	@Column(name = "in_enddate")
	private Date endDate;

	/**
	 * 是否过期
	 */
	@Column(name = "in_overdue", insertable = false, updatable = false)
	private Short overdue;

	/**
	 * 是否公开
	 */
	@Column(name = "in_isopen")
	private Short isOpen;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getEnUU() {
		return enUU;
	}

	public void setEnUU(Long enUU) {
		this.enUU = enUU;
	}

	public Long getRecorderUU() {
		return recorderUU;
	}

	public void setRecorderUU(Long recorderUU) {
		this.recorderUU = recorderUU;
	}

	public EnterpriseSimpleInfo getEnterprise() {
		return enterprise;
	}

	public void setEnterprise(EnterpriseSimpleInfo enterprise) {
		this.enterprise = enterprise;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public Integer getEnteryStatus() {
		return enteryStatus;
	}

	public void setEnteryStatus(Integer enteryStatus) {
		this.enteryStatus = enteryStatus;
	}

	public Short getOverdue() {
		return overdue;
	}

	public void setOverdue(Short overdue) {
		this.overdue = overdue;
	}

	public Short getIsOpen() {
		return isOpen;
	}

	public void setIsOpen(Short isOpen) {
		this.isOpen = isOpen;
	}

	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}

}
